Subject: Re: [PATCH 2/3] setup: fix reinit of repos with incompatible GIT_DEFAULT_REF_FORMAT

From: Junio C Hamano <[email-masked]>
Date: Mon, 03 Feb 2025 06:01:33 -0800

Patrick Steinhardt <[email-masked]> writes:

> So from my point of view we should treat the environment variables the
> same as we treat "init.defaultRefFormat" and "init.defaultObjectFormat".
> Those indicate defaults, but do not cause us to change the format of
> existing repostiories.

Hmph, as somebody who often does things like

    $ GIT_EDITOR=: git do-something
    $ GIT_AUTHOR_NAME=foo GIT_AUTHOR_EMAIL=bar@baz git commit -a

I do not necessarily see the environment variables as replacement
for configured defaults.  They are, at least to me, more like a
single-shot override of the configured defaults, so if we were to
complain and error out command line options (we do do so, don't we?),
I would expect the environment variable that gives a single-shot
setting to be treated the same way.

Thanks.